
QGIS Application - Bug report #15987

PostGIS layers fail to add in projects opened for more than hour.

2016-12-16 05:05 AM - Nikolay Lebedev

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:2.18.0 Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 23903

Description

If you have opened a project and do not use it for some time (i.e. an hour or so), then try to add PostGIS layer (via Add PostGIS layer

dialog) - QGIS writes a warning and doesn't add any table to the project.

Message says: 

dbname='mydb' host=192.168.0.1 port=5432 sslmode=disable authcfg=y463m5m key='""' 

estimatedmetadata=true srid=3857 type=Polygon table="myschema"."mytable" (geom_wm) sql= is an invalid layer 

and cannot be loaded. Please check message log for further info.

Message log doesn't have any additional info:

2016-12-16T15:49:30    1    dbname='mydb' host=192.168.0.1 port=5432 sslmode=disable authcfg=y463m5m key='""' 

estimatedmetadata=true srid=3857 type=Polygon table="myschema"."mytable" (geom_wm) sql= is an invalid layer - not loaded

However if you reopen the project, or open a new one - these same layers get added ok as expected.

I think QGIS doesn't use the same connection to display table list from postgresql server and add a layer, so the last one ends up being

closed by timeout or smth.

This bug is very annoying, because I have to reopen projects or start new ones or even sometimes restart qgis when getting back to qgis

after any kind of long enough break.

I'm getting this on 2.16, 2.18 and master aswell, and looks like it's also on 2.14 and older versions.

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-09-08 01:35 PM - Jürgen Fischer

- Assignee deleted (Jürgen Fischer)

#3 - 2017-12-19 09:42 PM - Spencer Gardner

I've been having this issue as well and it is indeed frustrating. Isn't there some way to assign a new DB connection if the old one has timed out?

#4 - 2019-03-09 03:09 PM - Giovanni Manghi
- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
